*
* REPLICATION DO-FILE
*
* Christopher Zorn and Jeff Gill, "The Etiology of Public Support for the 
* Designated Hitter Rule," QJPS (2007).
*
* Note: This file contains commands used to replicate the results reported in 
* Tables 1-3 and Figure 1 of the article.
*
*
**********************************************************************
***IMPORTANT: Be sure to change the directory paths in the commands***
***  below to reflect to location of the replication data sets...*****
**********************************************************************
*
*
* Read in data:

use "/foo/bar/QJPS_DHreplication.dta"

* Replication of results in Table 2:

logit DH_appr GOP DEM polphil age alstate nlstate black hispanic educ female catholic, robust

* Summary statistics in Table 1:

estat summ

su favorinterleague favorrealign if DH_appr~=.

* Replication of results in Table 3:

logit favorrealign GOP DEM polphil age alstate nlstate black hispanic educ female catholic, robust

logit favorinterleague GOP DEM polphil age alstate nlstate black hispanic educ female catholic, robust


* Loading data for Figure 1:

use "/foo/bar/QJPS_DH_Figure1.dta"

* Generating plot in Figure 1:

twoway (scatter Probhat id, msymbol(smcircle) mcolor(black) msize(medium)) (rcap UB LB id, lcolor(black)), ytitle(Predicted Pr(Support DH)) xtitle("") xscale(range(0.5 3.5)) xlabel(1 2 3, noticks valuelabel) legend(off)

*
* 
*